- Qt 6.10
- Qt GUI
- C++ Classes
- QInputMethodQueryEvent
- Qt 6.10.2 Reference Documentation

# QInputMethodQueryEvent Class

The QInputMethodQueryEvent class provides an event sent by the input context to input objects. More...

Header: | `#include <QInputMethodQueryEvent>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Inherits: | QEvent

- List of all members, including inherited members

## Public Functions

| QInputMethodQueryEvent(Qt::InputMethodQueries queries)
Qt::InputMethodQueries | queries() const
void | setValue(Qt::InputMethodQuery query, const QVariant &value)
QVariant | value(Qt::InputMethodQuery query) const

## Detailed Description

It is used by the input method to query a set of properties of the object to be able to support complex input method operations as support for surrounding text and reconversions.

queries() specifies which properties are queried.

The object should call setValue() on the event to fill in the requested data before calling accept().

## Member Function Documentation

### `[explicit]` QInputMethodQueryEvent::QInputMethodQueryEvent(Qt::InputMethodQueries queries)

Constructs a query event for properties given by queries.

### Qt::InputMethodQueries QInputMethodQueryEvent::queries() const

Returns the properties queried by the event.

### void QInputMethodQueryEvent::setValue(Qt::InputMethodQuery query, const QVariant &value)

Sets property query to value.

See also value().

### QVariant QInputMethodQueryEvent::value(Qt::InputMethodQuery query) const

Returns value of the property query.

See also setValue().